(* $Id: glClear.ml,v 1.5 2000/04/12 07:40:23 garrigue Exp $ *)

open Gl

type buffer = [`color|`depth|`stencil]
external clear : buffer list -> unit = "ml_glClear"

external color :
    red:float -> green:float -> blue:float -> alpha:float -> unit
    = "ml_glClearColor"
let color ?(alpha=1.) (red, green, blue : rgb) =
  color ~red ~green ~blue ~alpha
external depth : clampf -> unit = "ml_glClearDepthf"
external stencil : int -> unit = "ml_glClearStencil"
